#!/usr/bin/python

from charmhelpers.core.services.base import ServiceManager

import actions


def manage():
    manager = ServiceManager([
        {
            'service': 'telegraf',
            'ports': [],  # ports to after start
            'provided_data': [
            ],
            'required_data': [
            ],
            'data_ready': [
                actions.render_config,
                actions.elasticsearch_input,
                actions.mongodb_input,
                actions.postgresql_input,
                actions.influxdb_api_output,
                actions.log_start,
            ],
            'start': [
                actions.Restart()
            ],
        },
    ])
    manager.manage()
